/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20140214-64 [Mar 29 2014]
 * Copyright (c) 2000 - 2014 Intel Corporation
 * 
 * Disassembly of ssdt2.dat, Sun Jan  4 20:32:53 2015
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x000002FC (764)
 *     Revision         0x01
 *     Checksum         0x25
 *     OEM ID           "PmRef"
 *     OEM Table ID     "Cpu0Ist"
 *     OEM Revision     0x00003000 (12288)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20051117 (537202967)
 */
DefinitionBlock ("ssdt2.aml", "SSDT", 1, "PmRef", "Cpu0Ist", 0x00003000)
{

    External (_PR_.P001, DeviceObj)
    External (CFGD)
    External (NCPU, IntObj)
    External (NPSS, IntObj)
    External (PDC0)
    External (PSTN)
    External (SLMT, IntObj)

    Scope (\_PR.P001)
    {
        Method (_PPC, 0, NotSerialized)  // _PPC: Performance Present Capabilites
        {
            And (PSTN, 0xFF, Local0)
            If (LGreater (Local0, 0x00))
            {
                Return (SLMT)
            }
            Else
            {
                Return (0x00)
            }
        }

        Method (_PCT, 0, NotSerialized)  // _PCT: Performance Control
        {
            If (LAnd (And (CFGD, 0x01), And (PDC0, 0x01)))
            {
                Return (Package (0x02)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x00,               // Bit Width
                            0x00,               // Bit Offset
                            0x0000000000000000, // Address
                            ,)
                    }, 

                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x00,               // Bit Width
                            0x00,               // Bit Offset
                            0x0000000000000000, // Address
                            ,)
                    }
                })
            }

            Return (Package (0x02)
            {
                ResourceTemplate ()
                {
                    Register (SystemIO, 
                        0x10,               // Bit Width
                        0x00,               // Bit Offset
                        0x00000000000000B2, // Address
                        ,)
                }, 

                ResourceTemplate ()
                {
                    Register (SystemIO, 
                        0x08,               // Bit Width
                        0x00,               // Bit Offset
                        0x00000000000000B3, // Address
                        ,)
                }
            })
        }

        Method (XPSS, 0, NotSerialized)
        {
            If (And (PDC0, 0x01))
            {
                Return (NPSS)
            }

            Return (SPSS)
        }

        Name (SPSS, Package (0x02)
        {
            Package (0x06)
            {
                0x000005DC, 
                0x000088B8, 
                0x0000006E, 
                0x0000000A, 
                0x00000083, 
                0x00000000
            }, 

            Package (0x06)
            {
                0x000003E8, 
                0x00003E80, 
                0x0000006E, 
                0x0000000A, 
                0x00000183, 
                0x00000001
            }
        })
        Name (_PSS, Package (0x02)  // _PSS: Performance Supported States
        {
            Package (0x06)
            {
                0x000005DC, 
                0x000088B8, 
                0x0000000A, 
                0x0000000A, 
                0x00000915, 
                0x00000915
            }, 

            Package (0x06)
            {
                0x000003E8, 
                0x00003E80, 
                0x0000000A, 
                0x0000000A, 
                0x00000613, 
                0x00000613
            }
        })
        Name (PSE1, Package (0x01)
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00, 
                0xFE, 
                0x01
            }
        })
        Name (PSE2, Package (0x01)
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00, 
                0xFE, 
                0x02
            }
        })
        Name (PSE3, Package (0x01)
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00, 
                0xFE, 
                0x03
            }
        })
        Name (PSE4, Package (0x01)
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00, 
                0xFE, 
                0x04
            }
        })
        Name (PSC1, Package (0x01)
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00, 
                0xFC, 
                0x01
            }
        })
        Name (PSC2, Package (0x01)
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00, 
                0xFC, 
                0x02
            }
        })
        Name (PSC3, Package (0x01)
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00, 
                0xFC, 
                0x03
            }
        })
        Name (PSC4, Package (0x01)
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00, 
                0xFC, 
                0x04
            }
        })
        Method (_PSD, 0, NotSerialized)  // _PSD: Power State Dependencies
        {
            If (And (CFGD, 0x01000000))
            {
                If (And (PDC0, 0x0800))
                {
                    Name (_T_0, Zero)  // _T_x: Emitted by ASL Compiler
                    Store (NCPU, _T_0)
                    If (LEqual (_T_0, 0x01))
                    {
                        Return (PSE1)
                    }
                    Else
                    {
                        If (LEqual (_T_0, 0x02))
                        {
                            Return (PSE2)
                        }
                        Else
                        {
                            If (LEqual (_T_0, 0x03))
                            {
                                Return (PSE3)
                            }
                            Else
                            {
                                If (LEqual (_T_0, 0x04))
                                {
                                    Return (PSE4)
                                }
                                Else
                                {
                                    Return (PSE1)
                                }
                            }
                        }
                    }
                }

                Name (_T_1, Zero)  // _T_x: Emitted by ASL Compiler
                Store (NCPU, _T_1)
                If (LEqual (_T_1, 0x01))
                {
                    Return (PSC1)
                }
                Else
                {
                    If (LEqual (_T_1, 0x02))
                    {
                        Return (PSC2)
                    }
                    Else
                    {
                        If (LEqual (_T_1, 0x03))
                        {
                            Return (PSC3)
                        }
                        Else
                        {
                            If (LEqual (_T_1, 0x04))
                            {
                                Return (PSC4)
                            }
                            Else
                            {
                                Return (PSC1)
                            }
                        }
                    }
                }
            }

            Return (Package (0x01)
            {
                Package (0x05)
                {
                    0x05, 
                    0x00, 
                    0x00, 
                    0xFC, 
                    0x01
                }
            })
        }
    }
}

